#3122 closed enhancement (fixed)

Simplify and unify BSP_output_char

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: bsps Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The BSP_output_char should output a char and not mingle with high level processing, e.g. '\n' to '\r\n' translation. Move this translation to rtems_putc(). Remove it from all the BSP_output_char implementations.

Change History (10)

comment:1 Changed on Sep 8, 2017 at 8:38:09 AM by Sebastian Huber

Status: assignedaccepted

comment:2 Changed on Sep 10, 2017 at 8:36:44 PM by Chris Johns

Is this an internal RTEMS function?

Could this change any external code that may be using it?

What do users call to get the same thing as we currently have?

It is a good change, I am just considering the timing late in a release development cycle.

comment:3 in reply to:  2 Changed on Sep 11, 2017 at 8:44:16 AM by Sebastian Huber

Replying to Chris Johns:

Is this an internal RTEMS function?

This is the function pointer used by rtems_putc() and printk().

Could this change any external code that may be using it?

What do users call to get the same thing as we currently have?

It is a good change, I am just considering the timing late in a release development cycle.

This is not an API change. Only the "\n" to "\r\n" moves from the lowest level one step up to rtems_putc().

comment:5 Changed on Sep 12, 2017 at 8:01:16 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: acceptedclosed

In 1bc0ad2/rtems:

Simplify and unify BSP_output_char

The BSP_output_char should output a char and not mingle with high level
processing, e.g. '\n' to '\r\n' translation. Move this translation to
rtems_putc(). Remove it from all the BSP_output_char implementations.

Close #3122.

comment:6 Changed on Sep 12, 2017 at 9:50:58 AM by Sebastian Huber <sebastian.huber@…>

In 2fc32460/rtems:

serdbg: Fix warning

Update #3122.

comment:7 Changed on Sep 19, 2017 at 5:22:01 AM by Sebastian Huber <sebastian.huber@…>

In a029230a/rtems:

Add "\n" to "\r\n" translation to rtems_putc()

Update #3122.

comment:8 Changed on Sep 28, 2017 at 11:22:08 AM by Sebastian Huber <sebastian.huber@…>

In 610ffd7/rtems:

bsp/gen5200: Fix warning

Update #3122.

comment:9 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:10 Changed on Apr 12, 2019 at 12:38:25 PM by Sebastian Huber <sebastian.huber@…>

In be50969/rtems:

bsp/motorola_powerpc: Fix debug output

Update #3122.

Note: See TracTickets for help on using tickets.